﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;
using VeteransAffairs.Registries.BusinessManager.DVEIR;
using VeteransAffairs.Registries.BusinessManager.Utilities;

/// <summary>
/// Summary description for BaseClinicalDataControl
/// </summary>
public class BaseControl : System.Web.UI.UserControl
{
    private UserAccountManager _currentUser;

    public int ReferralId { get; set; }

    public BaseControl()
    {
        //
        // TODO: Add constructor logic here
        //
    }

    protected void CreateLoggingRecord(int objectId, DVEIRUserActivityType userActivityType, string description)
    {
        try
        {
            _currentUser = (UserAccountManager)HttpContext.Current.User;
            _currentUser.SessionLog(objectId,
                                    (int)userActivityType,
                                    description,
                                    Request.RawUrl);
        }
        catch(SystemException exception)
        {
            Response.Redirect("ErrorPage.aspx?id=505");
        }
    }
}
