﻿using System;

namespace ViewModels
{
    [Serializable]
    public class YesNoQuestion : TextQuestion
    {
        public bool IsYesSelected
        {
            get { return IsAnswered && ResponseText.Equals("YES", StringComparison.InvariantCultureIgnoreCase); }
            set { ResponseText = value ? "YES" : "NO"; }
        }
    }
}