﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabIntraocularPressureUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabIntraocularPressureUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/controls/ExamTabv2/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>

<div id="intraocularPressureEvent">
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary">
        <Contents>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblMethod" AssociatedControlID="tbMethod"/>:
                </div>
                <div class="examTabColumnItem">
                    <asp:TextBox runat="server" ID="tbMethod" CssClass="tbMethod"/>
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblMethodComment" AssociatedControlID="tbMethodComment"/>:
                </div>
                <div class="examTabColumnItem">
                    <asp:TextBox runat="server" ID="tbMethodComment" CssClass="tbMethodComment"/>
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="clearFloat"></div>
            <div class="examTabColumn">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblNumber" AssociatedControlID="tbNumber"/>:
                </div>
                <div class="examTabFloatLeft">
                    <telerik:RadMaskedTextBox runat="server" ID="tbNumber" CssClass="tbNumber" WrapperCssClass="tbNumber"
                        Mask="##" EmptyMessage="0-99" HideOnBlur="True" />
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblTime" AssociatedControlID="tbTime"/>:
                </div>
                <div class="examTabFloatLeft">
                    <telerik:RadTimePicker runat="server" ID="tbTime" CssClass="tbTime">
                        <TimeView StartTime="00:00:00" EndTime="23:59:00" Interval="01:00:00" 
                            TimeFormat="HH:mm" RenderDirection="Vertical" Columns="4" />
                        <DateInput DateFormat="HH:mm" DisplayDateFormat="HH:mm"></DateInput>
                    </telerik:RadTimePicker>
                </div>
                <div class="clearFloat"></div>
            </div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
