﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabPupilUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabPupilUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/controls/ExamTabv2/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register Src="~/controls/ExamTabv2/ExamSingleSelectUserControl.ascx" TagName="ucSingleSelect" TagPrefix="ucExamTab" %>
<%@ Register Src="~/controls/ExamTabv2/ExamYesNoUserControl.ascx" TagName="ucYesNo" TagPrefix="ucExamTab" %>

<div id="pupilEvent">
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary"
        TestPerformOnClientLoad="MEVIR.Exam.Pupil.TestPerformedOnLoad"
        TestPerformOnClientSelectedIndexChanged="MEVIR.Exam.Pupil.TestPerformedSelectionChanged">
        <Contents>
            <div class="examTabColumn">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblSize"></asp:Label>:
                </div>
                <div class="examTabFloatLeft">
                    <telerik:RadMaskedTextBox ID="tbSize" Mask="##" EmptyMessage="(1-10)" runat="server"
                        HideOnBlur="True" CssClass="tbSize" WrapperCssClass="tbSize" />
                </div>
                <div class="clearFloat"></div>
                <asp:RangeValidator runat="server" ID="rangeValSize" MinimumValue="1" MaximumValue="10" CssClass="examTabError"
                    ErrorMessage="SIZE must be between 1 and 10!" ControlToValidate="tbSize"></asp:RangeValidator>
            </div>
            <div class="examTabColumnDouble">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblAlterationInShape"></asp:Label>:
                </div>
                <div class="examTabFloatLeft">
                    <asp:TextBox ID="tbAlterationInShape" runat="server" />
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="clearFloat"></div>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblPerrlOrPerrla"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <ucExamTab:ucSingleSelect runat="server" ID="ucPerrlOrPerrla"
                        OnClientLoad="MEVIR.Exam.Pupil.PerrlOnLoad"
                        OnClientSelectedIndexChanged="MEVIR.Exam.Pupil.PerrlSelectionChanged" />
                </div>
                <div class="clearFloat"></div>
            </div>
            <div id="reactiveWrapper" class="examTabColumn">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblReactive"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <ucExamTab:ucYesNo runat="server" ID="ucReactive" />
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="clearFloat"></div>
            <div class="examTabColumn">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblAdie"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <ucExamTab:ucYesNo runat="server" ID="ucAdie" />
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblArgyllRobertson"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <ucExamTab:ucYesNo runat="server" ID="ucArgyllRobertson" />
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="clearFloat"></div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
