﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabRelativeAfferentPupilDefectUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabRelativeAfferentPupilDefectUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/controls/ExamTabv2/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register Src="~/controls/ExamTabv2/ExamSingleSelectUserControl.ascx" TagName="ucSingleSelect" TagPrefix="ucExamTab" %>
<%@ Register Src="~/controls/ExamTabv2/ExamYesNoUserControl.ascx" TagName="ucYesNo" TagPrefix="ucExamTab" %>

<div id="relativeAfferentPupilDefectEvent">
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary"
        TestPerformOnClientLoad="MEVIR.Exam.RelativeAfferentPupil.TestPerformedOnLoad"
        TestPerformOnClientSelectedIndexChanged="MEVIR.Exam.RelativeAfferentPupil.TestPerformedSelectionChanged">
        <Contents>
            <div class="examTabColumnDouble">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblVisitData"></asp:Label>:
                </div>
                <div class="examTabFloatLeft">
                    <ucExamTab:ucYesNo runat="server" ID="ucVisitData"/>
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="clearFloat"></div>
            <div class="examTabColumn">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblADP"></asp:Label>:
                </div>
                <div class="examTabFloatLeft">
                    <ucExamTab:ucSingleSelect runat="server" ID="ucADP" CssClass="adpWrapper"
                        OnClientLoad="MEVIR.Exam.RelativeAfferentPupil.ADPOnLoad"
                        OnClientSelectedIndexChanged="MEVIR.Exam.RelativeAfferentPupil.ADPSelectionChanged"/>
                </div>
                <div class="clearFloat"></div>
            </div>
            <div id="adpLateralityWrapper" class="examTabColumnDouble">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblADPLaterality"></asp:Label>:
                </div>
                <div class="examTabFloatLeft">
                    <telerik:RadMaskedTextBox runat="server" ID="tbADPLaterality" CssClass="tbADPLaterality" WrapperCssClass="tbADPLaterality"
                        Mask="a#" EmptyMessage="-4 to +4" HideOnBlur="True"></telerik:RadMaskedTextBox>
                </div>
                <div class="clearFloat"></div>
                <asp:RegularExpressionValidator runat="server" ID="regExValADPLaterality" CssClass="examTabError"
                    ControlToValidate="tbADPLaterality" ValidationExpression="^(?:\+|\-)[0-4]$" Display="Dynamic"
                    ErrorMessage="ADP Laterality should be between -4 and +4!" />
            </div>
            <div class="clearFloat"></div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
