﻿// Review Comment Js //
var MEVIR = MEVIR || {};
MEVIR.Encounter = MEVIR.Encounter || {};
MEVIR.Encounter.ReviewComment = {
    AddButtonClick: function (sender) {
        var $senderBtn = $(sender);
        var $reviewContainter = $senderBtn.closest('.reviewCommentControl');
        var $contentContainer = $reviewContainter.find('.reviewCommentContent');
        var $closeBtn = $reviewContainter.find('.reviewCommentButtonClose');
        var $tbComment = $reviewContainter.find('.reviewCommentTextBox');

        // Enable Close Button
        $closeBtn.removeAttr('disabled');

        // Slide down content and focus on the comment btn
        $contentContainer.slideDown(300, function() {
            $tbComment.trigger('focus');
        });

        return false;
    },

    OpenButtonClick: function (sender) {
        var $senderBtn = $(sender);
        var $reviewContainter = $senderBtn.closest('.reviewCommentControl');
        var $contentContainer = $reviewContainter.find('.reviewCommentContent');
        var $closeBtn = $reviewContainter.find('.reviewCommentButtonClose');
        var $tbComment = $reviewContainter.find('.reviewCommentTextBox');

        // Enable Close Button
        $closeBtn.removeAttr('disabled');
        
        // Slide down content and focus on the comment btn
        $contentContainer.slideDown(300, function () {
            $tbComment.trigger('focus');
        });

        return false;
    },

    CloseButtonClick: function (sender) {
        var $senderBtn = $(sender);
        var $reviewContainter = $senderBtn.closest('.reviewCommentControl');
        var $contentContainer = $reviewContainter.find('.reviewCommentContent');
        var $addBtn = $reviewContainter.find('.reviewCommentButtonAdd');
        var $openBtn = $reviewContainter.find('.reviewCommentButtonOpen');

        // Enable Add and Open Button
        $addBtn.removeAttr('disabled');
        $openBtn.removeAttr('disabled');

        // Slide down content and focus on the comment btn
        $contentContainer.slideUp(300);

        return false;
    }
};