﻿/* Exam Tab Pupil Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.Pupil = {
    ToggleReactive: function ($ddlComboBox) {
        var $reactiveWrapper = $('#reactiveWrapper');
        var selectedItem = $ddlComboBox.get_selectedItem();

        var showReactive = selectedItem != null;

        MEVIR.Exam.Common.ShowHideItem($reactiveWrapper, showReactive);
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $rangeValSize = $('[id $=rangeValSize]');

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        // Toggle Validator when hiding
        ValidatorEnable($rangeValSize[0], enableValidator);
    },

    PerrlOnLoad: function (sender) {
        MEVIR.Exam.Pupil.ToggleReactive(sender);
        MEVIR.Exam.Common.SingleSelectOnLoad(sender);
    },

    PerrlSelectionChanged: function (sender) {
        MEVIR.Exam.Pupil.ToggleReactive(sender);
        MEVIR.Exam.Common.SingleSelectSelectionChanged(sender);
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.Pupil.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.Pupil.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};
