﻿using System;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Prosthetic Devices Event Model
    /// </summary>
    [Serializable]
    public class ProstheticDevicesEventModel : BaseEventModel
    {
        public override string CategoryCode
        {
            get { return "ProstheticDevOrder"; }
        }

        public MultiSelectQuestion Options { get; set; }

        public MultiSelectQuestion ImplantTypes { get; set; }

        public static class QuestionCodes
        {
            public static string Options = "PD_O";

            public static string ImplantTypes = "PD_IT";
        }

        public static class ChoiceCodes
        {
            public static class ImplantTypes
            {
                public static string Size = "PD_IT7";

            }
        }
    }
}